Technical notes
===============

## Privacy design

The software was built with the idea that your location should only be handled
in the client part. Then, it should never be sent to the server part or any
third party without your knowledge. The app should also provide as much
features as possible without even knowing your location (in case you disabled
geolocation on your device).

If geolocation is turned off, it falls back to asking you to manually enter a
location through a text field. Of course, without geolocation tracking, some
features no longer makes sense, but you can still browse the reports and
manually add reports at specific known locations.

If geolocation is turned on, your geolocation data is only handled locally, on
your device. This means that your precise location is never sent to the
server. When fetching reports nearby, all the valid reports from the
server are downloaded and the filtering is done client-side, to avoid sharing
your precise geolocation with the server.

*Note:* The map tiles (the map background) is downloaded from third
party servers and due to the very nature of the images, it could leak hints
about your geolocation. This might be something addressed in the future by
letting you batch download a given area in advance.
